pipeline {
    agent   { label 'survival-test-node'}
    stages {
        stage('Clone Stage'){
            steps {
                git 'https://gitlab.com/tudt.erp/test-jenkin-gitlab.git'
            }
        }
        stage('Build Stage'){
            steps {
                sh label: '', script: 'sudo docker build -t registry.gitlab.com/tudt.erp/test-jenkin-gitlab .'
            }
        }
        stage('push Stage with authen 1'){
            steps {
                sh label: '', script: 'sudo docker push registry.gitlab.com/tudt.erp/test-jenkin-gitlab'                
            }
        }
    }
    post {  
         always {  
             echo 'This will always run'  
         }  
         success {  
             echo 'This will run only if successful'  
         }  
         failure {  
             mail bcc: '', body: "<b>Example</b><br>Project: ${env.JOB_NAME} <br>Build Number: ${env.BUILD_NUMBER} <br> URL de build: ${env.BUILD_URL}", cc: '', charset: 'UTF-8', from: '', mimeType: 'text/html', replyTo: '', subject: "ERROR CI: Project name -> ${env.JOB_NAME}", to: "tudt.erp@gmail.com";  
         }  
         unstable {  
             echo 'This will run only if the run was marked as unstable'  
         }  
         changed {  
             echo 'This will run only if the state of the Pipeline has changed'  
             echo 'For example, if the Pipeline was previously failing but is now successful'  
         }  
     }  
}   